summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Makefile.am2
-rwxr-xr-xautogen.sh207
-rw-r--r--configure.ac8
-rwxr-xr-xcvscompile.sh49
-rw-r--r--doc/Makefile.am2
-rw-r--r--misc/Makefile.am3
-rwxr-xr-xmisc/autogen.sh96
-rw-r--r--src/libffmpeg/libavcodec/alpha/Makefile.am6
8 files changed, 222 insertions, 151 deletions
diff --git a/Makefile.am b/Makefile.am
index 3382ac4d9..fef38faa4 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -8,7 +8,7 @@ ACLOCAL_AMFLAGS = -I m4
SUBDIRS = doc m4 intl po misc include src
-EXTRA_DIST = cvscompile.sh automake.diff \
+EXTRA_DIST = autogen.sh automake.diff \
debian/README.Debian debian/changelog debian/control \
debian/copyright debian/dirs debian/docs debian/libxine0.postinst \
debian/postrm debian/preinst debian/prerm debian/rules \
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 000000000..b20c044cd
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,207 @@
+#!/bin/sh
+# run this to generate all the initial makefiles, etc.
+
+PROG=gnome-xine
+
+# Check how echo works in this /bin/sh
+case `echo -n` in
+-n) _echo_n= _echo_c='\c';;
+*) _echo_n=-n _echo_c=;;
+esac
+
+detect_configure_ac() {
+
+ srcdir=`dirname $0`
+ test -z "$srcdir" && srcdir=.
+
+ (test -f $srcdir/configure.ac) || {
+ echo $_echo_n "*** Error ***: Directory "\`$srcdir\`" does not look like the"
+ echo " top-level directory"
+ exit 1
+ }
+}
+
+
+#--------------------
+# AUTOCONF
+#-------------------
+detect_autoconf() {
+ (autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "**Error**: You must have \`autoconf' installed to compile gxine."
+ echo "Download the appropriate package for your distribution,"
+ echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+ exit 1
+ }
+}
+
+run_autoheader () {
+ echo $_echo_n " + Running autoheader: $_echo_c";
+ autoheader;
+ echo "done."
+}
+
+run_autoconf () {
+ echo $_echo_n " + Running autoconf: $_echo_c";
+ autoconf;
+ echo "done."
+}
+
+#--------------------
+# LIBTOOL
+#-------------------
+detect_libtool() {
+ (libtool --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "**Error**: You must have \`libtool' installed to compile gxine."
+ echo "Get ftp://ftp.gnu.org/pub/gnu/libtool-1.4.tar.gz"
+ echo "(or a newer version if it is available)"
+ exit 1
+ }
+}
+
+run_libtoolize() {
+ echo $_echo_n " + Running libtoolize: $_echo_c";
+ libtoolize --force --copy >/dev/null 2>&1;
+ echo "done."
+}
+
+#--------------------
+# AUTOMAKE
+#--------------------
+detect_automake() {
+ if [ -f `which automake-1.6` ]; then
+ automake_1_6x=yes
+ else
+ if [ -f `which automake` ]; then
+ AM="`automake --version | sed -n 1p | sed -e 's/[a-zA-Z\ \.\(\)\-]//g'`"
+ if test $AM -lt 100 ; then
+ AM=`expr $AM \* 10`
+ fi
+ if [ `expr $AM` -ge 160 ]; then
+ automake_1_6x=yes
+ fi
+ else
+ echo
+ echo "You must have automake installed to compile $PROG."
+ echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.6.tar.gz"
+ echo "(or a newer version if it is available)"
+ exit 1
+ fi
+ fi
+}
+
+run_automake () {
+ if test x"$automake_1_6x" = x"no"; then
+ echo "Warning: automake < 1.6. Some warning message might occur from automake"
+ echo
+ fi
+
+ echo $_echo_n " + Running automake: $_echo_c";
+
+ if test x"$automake_1_6x" = "xyes"; then
+ automake-1.6 --gnu --add-missing --copy;
+ else
+ automake --gnu --add-missing --copy;
+ fi
+ echo "done."
+}
+
+#--------------------
+# ACLOCAL
+#-------------------
+detect_aclocal() {
+
+ # if no automake, don't bother testing for aclocal
+ if [ -f `which aclocal-1.6` ]; then
+ aclocal_1_6x=yes
+ else
+ if [ -f `which aclocal` ]; then
+ AC="`aclocal --version | sed -n 1p | sed -e 's/[a-zA-Z\ \.\(\)\-]//g'`"
+ if test $AC -lt 100 ; then
+ AC=`expr $AC \* 10`
+ fi
+ if [ `expr $AC` -ge 160 ]; then
+ aclocal_1_6x=yes
+ fi
+ else
+ echo
+ echo "**Error**: Missing \`aclocal'. The version of \`automake'"
+ echo "installed doesn't appear recent enough."
+ echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.3.tar.gz"
+ echo "(or a newer version if it is available)"
+ exit 1
+ fi
+ fi
+}
+
+run_aclocal () {
+ echo $_echo_n " + Running aclocal: $_echo_c"
+
+ if test x"$aclocal_1_6x" = x"yes"; then
+ aclocal-1.6 $aclocalinclude -I m4
+ else
+ aclocal $aclocalinclude -I m4
+ fi
+ echo "done."
+}
+
+#--------------------
+# CONFIGURE
+#-------------------
+run_configure () {
+ rm -f config.cache
+ echo " + Running 'configure $@':"
+ if [ -z "$*" ]; then
+ echo " ** If you wish to pass arguments to ./configure, please"
+ echo " ** specify them on the command line."
+ fi
+ ./configure "$@"
+}
+
+
+#---------------
+# MAIN
+#---------------
+detect_configure_ac
+detect_autoconf
+detect_libtool
+detect_automake
+detect_aclocal
+
+
+# help: print out usage message
+# *) run aclocal, autoheader, automake, autoconf, configure
+case "$1" in
+ aclocal)
+ run_aclocal
+ ;;
+ autoheader)
+ run_autoheader
+ ;;
+ automake)
+ run_automake
+ ;;
+ autoconf)
+ run_aclocal
+ run_autoconf
+ ;;
+ libtoolize)
+ run_libtoolize
+ ;;
+ noconfig)
+ run_aclocal
+ run_libtoolize
+ run_autoheader
+ run_automake
+ run_autoconf
+ ;;
+ *)
+ run_aclocal
+ run_libtoolize
+ run_autoheader
+ run_automake
+ run_autoconf
+ run_configure $@
+ ;;
+esac
diff --git a/configure.ac b/configure.ac
index 930a54a1a..eb1efc8b7 100644
--- a/configure.ac
+++ b/configure.ac
@@ -757,6 +757,9 @@ case "$host_or_hostalias" in
dnl special check for k7 cpu CC support
AC_TRY_CFLAGS("$sarchopt=athlon", k7cpu="athlon", k7cpu="i686")
+ AC_TRY_CFLAGS("-mmmx",f_mmmx="-mmmx", f_mmmx="")
+ AC_TRY_CFLAGS("-msse",f_msse="-msse", f_msse="")
+
dnl add x86 specific gcc CFLAGS
CFLAGS="$CFLAGS -O3 -pipe -fomit-frame-pointer $f_af $f_al $f_aj $m_wm $m_psb -fexpensive-optimizations $f_si $f_nsa -ffast-math -funroll-loops -finline-functions"
@@ -772,7 +775,9 @@ case "$host_or_hostalias" in
i486-*) # oh dear!
archopt_val="i486" ;;
i586-*)
- archopt_val="pentium" ;;
+ archopt_val="pentium"
+ CFLAGS="$CFLAGS $f_mmmx"
+ ;;
i686-*)
archopt_val="pentiumpro"
if test x"$check_athlon" = "xyes"; then
@@ -784,6 +789,7 @@ case "$host_or_hostalias" in
esac
fi
fi
+ CFLAGS="$CFLAGS $f_mmmx $f_msse"
;;
k6-*)
archopt_val="k6" ;;
diff --git a/cvscompile.sh b/cvscompile.sh
deleted file mode 100755
index 935742145..000000000
--- a/cvscompile.sh
+++ /dev/null
@@ -1,49 +0,0 @@
-#!/bin/sh
-# Run this to generate all the initial Makefiles, etc.
-
-## extract automake version
-
-if [ -f automake-1.6 ]; then
- automake_1_6x=yes
-else
- AM="`automake --version | sed -n 1p | sed -e 's/[a-zA-Z\ \.\(\)\-]//g'`"
- if test $AM -lt 100 ; then
- AM=`expr $AM \* 10`
- fi
- if [ `expr $AM` -ge 160 ]; then
- automake_1_6x=yes
- fi
-fi
-
-if test x"$automake_1_6x" = x"no"; then
- echo "Warning: automake < 1.6. Some warning message might occur from automake"
-fi
-
-## extract autoconf version
-autoconf_2_53=no
-AC="`autoconf --version | sed -n 1p | sed -e 's/[a-zA-Z\ \.\(\)\-]//g'`"
-if test $AC -lt 100 ; then
- AC=`expr $AC \* 10`
-fi
-if [ `expr $AC` -ge 253 ]; then
- autoconf_2_53=yes
-fi
-if test x"$autoconf_2_53" = x"no"; then
- echo "To compile xine-lib from CVS requires autoconf >= 2.53"
- exit
-fi
-
-rm -f config.cache
-
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
-
-(test -f $srcdir/configure.ac) || {
- echo -n "*** Error ***: Directory "\`$srcdir\'" does not look like the"
- echo " top-level directory"
- exit 1
-}
-
-configure_flags=$@
-. $srcdir/misc/autogen.sh $automake_1_6x $configure_flags
-
diff --git a/doc/Makefile.am b/doc/Makefile.am
index 46eed7627..3b329656f 100644
--- a/doc/Makefile.am
+++ b/doc/Makefile.am
@@ -28,7 +28,7 @@ uninstall-local:
done
debug:
-install-debug:
+install-debug: install
mostlyclean-generic:
-rm -f *~ \#* .*~ .\#*
diff --git a/misc/Makefile.am b/misc/Makefile.am
index 851c13bd2..59e46c32e 100644
--- a/misc/Makefile.am
+++ b/misc/Makefile.am
@@ -1,7 +1,6 @@
SUBDIRS = fonts
-EXTRA_DIST = autogen.sh \
- build_rpms.sh \
+EXTRA_DIST = build_rpms.sh \
SlackBuild.in \
SlackBuild \
vga.xinefont.gz \
diff --git a/misc/autogen.sh b/misc/autogen.sh
deleted file mode 100755
index ff840a3a6..000000000
--- a/misc/autogen.sh
+++ /dev/null
@@ -1,96 +0,0 @@
-#!/bin/sh
-# Run this to generate all the initial makefiles, etc.
-# This was lifted from the Gimp, and adapted slightly by
-# Raph Levien, slightly hacked for xine by Daniel Caujolle-Bert.
-
-DIE=0
-automake_1_6x=$1
-
-PROG=xine-lib
-
-# Check how echo works in this /bin/sh
-case `echo -n` in
--n) _echo_n= _echo_c='\c';;
-*) _echo_n=-n _echo_c=;;
-esac
-
-
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have autoconf installed to compile $PROG."
- echo "Download the appropriate package for your distribution,"
- echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
- DIE=1
-}
-
-(libtool --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have libtool installed to compile $PROG."
- echo "Get ftp://ftp.gnu.org/pub/gnu/libtool-1.4.tar.gz"
- echo "(or a newer version if it is available)"
- DIE=1
-}
-
-if test x"$automake_1_6x" != "xyes"; then
-(automake --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have automake installed to compile $PROG."
- echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.6.tar.gz"
- echo "(or a newer version if it is available)"
- DIE=1
-}
-fi
-
-(aclocal --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: Missing aclocal. The version of automake"
- echo "installed doesn't appear recent enough."
- echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.6.tar.gz"
- echo "(or a newer version if it is available)"
- DIE=1
-}
-
-if [ "$DIE" -eq 1 ]; then
- exit 1
-fi
-
-aclocalinclude="$ACLOCAL_FLAGS";
-echo $_echo_n " + Running aclocal: $_echo_c";
- aclocal $aclocalinclude -I m4;
-echo "done."
-
-echo $_echo_n " + Running libtoolize: $_echo_c";
- libtoolize --force --copy >/dev/null 2>&1;
-echo "done."
-
-echo $_echo_n " + Running autoheader: $_echo_c";
- autoheader;
-echo "done."
-
-echo $_echo_n " + Running automake: $_echo_c";
-
-if test x"$automake_1_6x" = "xyes"; then
- automake-1.6 --gnu --add-missing --copy;
-else
- automake --gnu --add-missing --copy;
-fi
-echo "done."
-
-echo $_echo_n " + Running autoconf: $_echo_c";
- autoconf;
-echo "done."
-
-rm -f config.cache
-
-#configure_flags=`expr $@ | sed -e 's/yes//'`
-#echo "$configure_flags"
-configure_flags=$2
-if [ x"$NO_CONFIGURE" = "x" ]; then
- echo " + Running 'configure $configure_flags':"
- if [ -z "$*" ]; then
- echo " ** If you wish to pass arguments to ./configure, please"
- echo " ** specify them on the command line."
- fi
- ./configure "$configure_flags" && \
- echo "Now type 'make' to compile $PKG_NAME" || exit 1
-fi
diff --git a/src/libffmpeg/libavcodec/alpha/Makefile.am b/src/libffmpeg/libavcodec/alpha/Makefile.am
index 8b9553319..1f24445ba 100644
--- a/src/libffmpeg/libavcodec/alpha/Makefile.am
+++ b/src/libffmpeg/libavcodec/alpha/Makefile.am
@@ -6,8 +6,12 @@ EXTRA_DIST = asm.h \
regdef.h
all:
+
debug:
-install-debug:
+ @$(MAKE) CFLAGS="$(DEBUG_CFLAGS) $(LIBFFMPEG_CFLAGS)"
+
+install-debug: debug
+ @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
mostlyclean-generic:
-rm -f *~ \#* .*~ .\#*